# iot服务接口

云端接口调用iot-collect服务；

控制和采集的实时接口也可以调用iot-project服务；


[TOC]

# websocket

**链接地址：ws://IP:websocketport/websocket?projectId=10位项目ID&type=iot**

参数说明：

websocket端口是单独的端口，和服务端口不是同一个；

| 字段        | 说明                                                         |      |
| ----------- | ------------------------------------------------------------ | ---- |
| projectId   | 10位项目ID                                                   |      |
| type        | 订阅的数据类型，数值类型iot数据使用iot，其他的数据类型根据情况添加，还可以有text,pointset,message，多个之间使用逗号隔开; |      |
| getFullData | 是否立即获取一次全量数据，不传默认false                      |      |

例如：ws://127.0.0.1:8858/websocket?projectId=1101070037&type=iot,pointset&getFullData=true

**发送数据订阅：**

```
{
    "getFullData": "true",
    "type": [
        "iot",
        "pointset"
    ],
    "projectId": "1101070037"
}
```

**带信息点订阅获取数据**

```
{
    "getFullData": "true",
    "type": [
        "iot",
        "pointset"
    ],
    "points": [
        {
            "meter": "1001",
            "funcid": "11"
        }
    ],
    "projectId": "1101070037"
}
```

# HTTP接口


## 能耗


### 批量查询分项能耗

**接口地址**:`/energydata_query_batch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "compress": "true/false",
  "points": [
    {
      "energyModelNodeSign": "EI1001",
      "energyModelSign": "EM01",
      "time_from": "20200101000000",
      "time_period": "15min",
      "time_to": "20200201000000"
    }
  ]
}
```


**请求参数**:


| 参数名称                                    | 参数说明                                                  | 请求类型 | 是否必须 | 数据类型 | schema       |
| ------------------------------------------- | --------------------------------------------------------- | -------- | -------- | -------- | ------------ |
| ParamBatch_fjd                              | 注意                                                      | body     | true     | 分项参数 | 分项参数     |
| &emsp;&emsp;building                        | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置 |          | false    | string   |              |
| &emsp;&emsp;compress                        | 参数：是否压缩                                            |          | false    | string   |              |
| &emsp;&emsp;points                          | 参数：点位数组                                            |          | false    | array    | 分项点位参数 |
| &emsp;&emsp;&emsp;&emsp;energyModelNodeSign | 分项编号                                                  |          | false    | string   |              |
| &emsp;&emsp;&emsp;&emsp;energyModelSign     | 模型编号                                                  |          | false    | string   |              |
| &emsp;&emsp;&emsp;&emsp;time_from           | 开始时间                                                  |          | false    | string   |              |
| &emsp;&emsp;&emsp;&emsp;time_period         | 精度                                                      |          | false    | string   |              |
| &emsp;&emsp;&emsp;&emsp;time_to             | 结束时间                                                  |          | false    | string   |              |


**响应状态**:


| 状态码 | 说明         | schema |
| ------ | ------------ | ------ |
| 200    | OK           |        |
| 201    | Created      |        |
| 401    | Unauthorized |        |
| 403    | Forbidden    |        |
| 404    | Not Found    |        |


**响应参数**:


暂无


**响应示例**:

```javascript

```


### 批量查询仪表能耗分精度


**接口地址**:`/servicedata_query_batch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "compress": "true/false",
  "points": [
    {
      "data_type": "near max min avg",
      "funcid": 10101,
      "meter": "1001",
      "time_from": "20200101000000",
      "time_period": "15min",
      "time_to": "20200201000000"
    }
  ]
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                  | 请求类型 | 是否必须 | 数据类型   | schema         |
| ----------------------------------- | --------------------------------------------------------- | -------- | -------- | ---------- | -------------- |
| ParamBatch_fjd                      | 注意                                                      | body     | true     | 分精度参数 | 分精度参数     |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置 |          | false    | string     |                |
| &emsp;&emsp;compress                | 参数：是否压缩                                            |          | false    | string     |                |
| &emsp;&emsp;points                  | 参数：点位数组                                            |          | false    | array      | 分精度点位参数 |
| &emsp;&emsp;&emsp;&emsp;data_type   | 表类型                                                    |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;funcid      | 功能号                                                    |          | false    | integer    |                |
| &emsp;&emsp;&emsp;&emsp;meter       | 仪表编号                                                  |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_from   | 开始时间                                                  |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_period | 精度                                                      |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_to     | 结束时间                                                  |          | false    | string     |                |


**响应状态**:


| 状态码 | 说明         | schema |
| ------ | ------------ | ------ |
| 200    | OK           |        |
| 201    | Created      |        |
| 401    | Unauthorized |        |
| 403    | Forbidden    |        |
| 404    | Not Found    |        |


**响应参数**:


暂无


**响应示例**:

```javascript

```

## 原始数据


### 查询iot原始数据


**接口地址**:`/listOriginalMonth`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": 1101070037,
  "funcid": 10101,
  "meter": 1001,
  "time_from": "20200101000000",
  "time_to": "20200201000000"
}
```


**请求参数**:


| 参数名称              | 参数说明                   | 请求类型 | 是否必须 | 数据类型       | schema   |
| --------------------- | -------------------------- | -------- | -------- | -------------- | -------- |
| originalMonthParam    | 注意：参数和返回值共用此类 | body     | true     | 原始数据       | 原始数据 |
| &emsp;&emsp;building  | 参数：项目编码-10位数字    |          | false    | string         |          |
| &emsp;&emsp;funcid    | 参数：功能号               |          | false    | integer(int32) |          |
| &emsp;&emsp;meter     | 参数：仪表编号             |          | false    | string         |          |
| &emsp;&emsp;time_from | 开始时间                   |          | false    | string         |          |
| &emsp;&emsp;time_to   | 结束时间                   |          | false    | string         |          |

**响应参数**:


| 参数名称  | 参数说明                                   | 类型           | schema         |
| --------- | ------------------------------------------ | -------------- | -------------- |
| code      | 结果码.00000是成功,其他都是失败            | string         |                |
| data      | 响应数据                                   | object         |                |
| message   | 错误提示信息                               | string         |                |
| result    | 结果标识:成功标识：success，失败标识：fail | string         |                |
| timestamp | 响应时间戳                                 | integer(int64) | integer(int64) |

**响应示例**:

```json
{
    "code": "",
    "data": {
        "building": 1101070037,
        "datas": [
            {
                "data": 13.14,
                "receivetime": 20201224192034
            }
        ],
        "funcid": 10101,
        "meter": 1001,
        "time_from": "20200101000000",
        "time_to": "20200201000000"
    },
    "message": "",
    "result": "",
    "timestamp": 0
}
```


### 批量查询iot原始数据

**接口地址**:`/listOriginalMonthBatch`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
[
  {
    "building": 1101070037,
    "funcid": 10101,
    "meter": 1001,
    "time_from": "20200101000000",
    "time_to": "20200201000000"
  }
]
```


**请求参数**:


| 参数名称               | 参数说明                   | 请求类型 | 是否必须 | 数据类型       | schema   |
| ---------------------- | -------------------------- | -------- | -------- | -------------- | -------- |
| originalMonthParamList | 注意：参数和返回值共用此类 | body     | true     | array          | 原始数据 |
| &emsp;&emsp;building   | 参数：项目编码-10位数字    |          | false    | string         |          |
| &emsp;&emsp;funcid     | 参数：功能号               |          | false    | integer(int32) |          |
| &emsp;&emsp;meter      | 参数：仪表编号             |          | false    | string         |          |
| &emsp;&emsp;time_from  | 开始时间                   |          | false    | string         |          |
| &emsp;&emsp;time_to    | 结束时间                   |          | false    | string         |          |

**响应参数**:


| 参数名称  | 参数说明                                   | 类型           | schema         |
| --------- | ------------------------------------------ | -------------- | -------------- |
| data      | 响应数据                                   | object         |                |
| code      | 结果码.00000是成功,其他都是失败            | string         |                |
| message   | 错误提示信息                               | string         |                |
| result    | 结果标识:成功标识：success，失败标识：fail | string         |                |
| timestamp | 响应时间戳                                 | integer(int64) | integer(int64) |

**响应示例**:

```javascript
{
    "code": "",
    "data": [
        {
            "building": 1101070037,
            "datas": [
                {
                    "data": 13.14,
                    "receivetime": 20201224192034
                }
            ],
            "funcid": 10101,
            "meter": 1001,
            "time_from": "20200101000000",
            "time_to": "20200201000000"
        }
    ],
    "message": "",
    "result": "",
    "timestamp": 0
}
```

## 分精度


### 查询公式的分精度


**接口地址**:`/expression_query_post`


**请求方式**:`POST`

**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "compress": "true/false",
  "expression": "servicedata_10002_10101",
  "time_from": "20200101000000",
  "time_period": "15min",
  "time_to": "20200201000000"
}
```


**请求参数**:


| 参数名称                | 参数说明                                                  | 请求类型 | 是否必须 | 数据类型 | schema   |
| ----------------------- | --------------------------------------------------------- | -------- | -------- | -------- | -------- |
| psp                     | 注意                                                      | body     | true     | 公式参数 | 公式参数 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置 |          | false    | string   |          |
| &emsp;&emsp;compress    | 参数：是否压缩                                            |          | false    | string   |          |
| &emsp;&emsp;expression  | 公式                                                      |          | false    | string   |          |
| &emsp;&emsp;time_from   | 开始时间                                                  |          | false    | string   |          |
| &emsp;&emsp;time_period | 精度                                                      |          | false    | string   |          |
| &emsp;&emsp;time_to     | 结束时间                                                  |          | false    | string   |          |


**响应状态**:


| 状态码 | 说明         | schema |
| ------ | ------------ | ------ |
| 200    | OK           |        |
| 201    | Created      |        |
| 401    | Unauthorized |        |
| 403    | Forbidden    |        |
| 404    | Not Found    |        |


**响应参数**:


暂无


**响应示例**:

```javascript

```


### 批量查询最小分精度


**接口地址**:`/fjd_period_batch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "compress": "true/false",
  "points": [
    {
      "data_type": "near max min avg",
      "funcid": 10101,
      "meter": "1001",
      "time_from": "20200101000000",
      "time_period": "15min",
      "time_to": "20200201000000"
    }
  ]
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                  | 请求类型 | 是否必须 | 数据类型   | schema         |
| ----------------------------------- | --------------------------------------------------------- | -------- | -------- | ---------- | -------------- |
| ParamBatch_fjd                      | 注意                                                      | body     | true     | 分精度参数 | 分精度参数     |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置 |          | false    | string     |                |
| &emsp;&emsp;compress                | 参数：是否压缩                                            |          | false    | string     |                |
| &emsp;&emsp;points                  | 参数：点位数组                                            |          | false    | array      | 分精度点位参数 |
| &emsp;&emsp;&emsp;&emsp;data_type   | 表类型                                                    |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;funcid      | 功能号                                                    |          | false    | integer    |                |
| &emsp;&emsp;&emsp;&emsp;meter       | 仪表编号                                                  |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_from   | 开始时间                                                  |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_period | 精度                                                      |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_to     | 结束时间                                                  |          | false    | string     |                |


**响应状态**:


| 状态码 | 说明         | schema |
| ------ | ------------ | ------ |
| 200    | OK           |        |
| 201    | Created      |        |
| 401    | Unauthorized |        |
| 403    | Forbidden    |        |
| 404    | Not Found    |        |


**响应参数**:


暂无


**响应示例**:

```javascript

```


### 查询分精度


**接口地址**:`/fjd_query/{building}/{meter}/{funcid}/{time_period}/{time_from}/{time_to}`


**请求方式**:`GET`


**请求数据类型**:`application/x-www-form-urlencoded`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


| 参数名称    | 参数说明          | 请求类型 | 是否必须 | 数据类型 | schema |
| ----------- | ----------------- | -------- | -------- | -------- | ------ |
| building    | 项目编码-10位数字 | path     | true     | string   |        |
| funcid      | 功能号            | path     | true     | string   |        |
| meter       | 仪表号            | path     | true     | string   |        |
| time_from   | 开始时间          | path     | true     | string   |        |
| time_period | 精度              | path     | true     | string   |        |
| time_to     | 结束时间          | path     | true     | string   |        |


**响应状态**:


| 状态码 | 说明         | schema |
| ------ | ------------ | ------ |
| 200    | OK           |        |
| 401    | Unauthorized |        |
| 403    | Forbidden    |        |
| 404    | Not Found    |        |


**响应参数**:


暂无


**响应示例**:

```javascript

```


### 批量查询分精度


**接口地址**:`/fjd_query_batch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "compress": "true/false",
  "points": [
    {
      "data_type": "near max min avg",
      "funcid": 10101,
      "meter": "1001",
      "time_from": "20200101000000",
      "time_period": "15min",
      "time_to": "20200201000000"
    }
  ]
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                  | 请求类型 | 是否必须 | 数据类型   | schema         |
| ----------------------------------- | --------------------------------------------------------- | -------- | -------- | ---------- | -------------- |
| ParamBatch_fjd                      | 注意                                                      | body     | true     | 分精度参数 | 分精度参数     |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置 |          | false    | string     |                |
| &emsp;&emsp;compress                | 参数：是否压缩                                            |          | false    | string     |                |
| &emsp;&emsp;points                  | 参数：点位数组                                            |          | false    | array      | 分精度点位参数 |
| &emsp;&emsp;&emsp;&emsp;data_type   | 表类型                                                    |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;funcid      | 功能号                                                    |          | false    | integer    |                |
| &emsp;&emsp;&emsp;&emsp;meter       | 仪表编号                                                  |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_from   | 开始时间                                                  |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_period | 精度                                                      |          | false    | string     |                |
| &emsp;&emsp;&emsp;&emsp;time_to     | 结束时间                                                  |          | false    | string     |                |


**响应状态**:


| 状态码 | 说明         | schema |
| ------ | ------------ | ------ |
| 200    | OK           |        |
| 201    | Created      |        |
| 401    | Unauthorized |        |
| 403    | Forbidden    |        |
| 404    | Not Found    |        |


**响应参数**:


暂无


**响应示例**:

```javascript

```


### 插入分精度


**接口地址**:`/insertFjd`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
[
  {
    "building": "",
    "dataFlag": 0,
    "dataTime": "",
    "dataValue": 0,
    "funcid": 0,
    "meter": "",
    "period": "15min"
  }
]
```


**请求参数**:


| 参数名称              | 参数说明                                      | 请求类型 | 是否必须 | 数据类型       | schema  |
| --------------------- | --------------------------------------------- | -------- | -------- | -------------- | ------- |
| fjdDataList           | 分精度数据                                    | body     | true     | array          | FjdData |
| &emsp;&emsp;building  | 10位项目ID                                    |          | false    | string         |         |
| &emsp;&emsp;dataFlag  | 数据标签，默认为0                             |          | false    | integer(int64) |         |
| &emsp;&emsp;dataTime  | 分精度数据时间，格式为：yyyyMMddHHmmss        |          | false    | string         |         |
| &emsp;&emsp;dataValue | 数值                                          |          | false    | number(double) |         |
| &emsp;&emsp;funcid    | 功能号                                        |          | false    | integer(int64) |         |
| &emsp;&emsp;meter     | 表号                                          |          | false    | string         |         |
| &emsp;&emsp;period    | 分精度类型：支持1min、5min、15min、1h、1d五种 |          | false    | string         |         |


**响应状态**:


| 状态码 | 说明         | schema |
| ------ | ------------ | ------ |
| 200    | OK           |        |
| 201    | Created      |        |
| 401    | Unauthorized |        |
| 403    | Forbidden    |        |
| 404    | Not Found    |        |


**响应参数**:


暂无


**响应示例**:

```javascript

```


## 异步采集


### 读取点位


**接口地址**:`/pointread/{building}/{meter}/{funcid}`


**请求方式**:`GET`


**请求数据类型**:`application/x-www-form-urlencoded`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


| 参数名称 | 参数说明          | 请求类型 | 是否必须 | 数据类型 | schema |
| -------- | ----------------- | -------- | -------- | -------- | ------ |
| building | 项目编码-10位数字 | path     | true     | string   |        |
| funcid   | 功能号            | path     | true     | string   |        |
| meter    | 仪表号            | path     | true     | string   |        |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


### 读取点位


**接口地址**:`/pointread_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "data": 13.14,
  "endtime": "20201224192034",
  "funcid": 10101,
  "meter": "1001",
  "operation": "pointread/pointset",
  "receivetime": "20201224192034",
  "status": "finish:success",
  "virtual": false
}
```


**请求参数**:


| 参数名称                | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型         | schema           |
| ----------------------- | ------------------------------------------------------------ | -------- | -------- | ---------------- | ---------------- |
| PointSetData            | 注意：参数和返回值共用此类                                   | body     | true     | 点位参数与返回值 | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string           |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number(double)   |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string           |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer(int32)   |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string           |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string           |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string           |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string           |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean          |                  |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 201    | Created      |                  |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


### 批量读取点位


**接口地址**:`/pointreadbatch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "points": [
    {
      "building": "1101070037",
      "data": 13.14,
      "endtime": "20201224192034",
      "funcid": 10101,
      "meter": "1001",
      "operation": "pointread/pointset",
      "receivetime": "20201224192034",
      "status": "finish:success",
      "virtual": false
    }
  ],
  "receivetime": "20201224192034",
  "status": "finish:success"
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型             | schema               |
| ----------------------------------- | ------------------------------------------------------------ | -------- | -------- | -------------------- | -------------------- |
| PointSetBatchParam                  | 注意：参数和返回值共用此类                                   | body     | true     | 批量点位参数与返回值 | 批量点位参数与返回值 |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;points                  | 参数：点位数组                                               |          | false    | array                | 点位参数与返回值     |
| &emsp;&emsp;&emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number               |                      |
| &emsp;&emsp;&emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer              |                      |
| &emsp;&emsp;&emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean              |                      |
| &emsp;&emsp;receivetime             | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |


**响应状态**:


| 状态码 | 说明         | schema               |
| ------ | ------------ | -------------------- |
| 200    | OK           | 批量点位参数与返回值 |
| 201    | Created      |                      |
| 401    | Unauthorized |                      |
| 403    | Forbidden    |                      |
| 404    | Not Found    |                      |


**响应参数**:


| 参数名称                | 参数说明                                                     | 类型           | schema           |
| ----------------------- | ------------------------------------------------------------ | -------------- | ---------------- |
| building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| points                  | 参数：点位数组                                               | array          | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         | string         |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 | integer(int32) |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               | string         |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   | string         |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         | string         |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                  |
| receivetime             | 返回值：操作结束时间                                         | string         |                  |
| status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"points": [
		{
			"building": "1101070037",
			"data": 13.14,
			"endtime": "20201224192034",
			"funcid": 10101,
			"meter": "1001",
			"operation": "pointread/pointset",
			"receivetime": "20201224192034",
			"status": "finish:success",
			"virtual": false
		}
	],
	"receivetime": "20201224192034",
	"status": "finish:success"
}
```


## 异步控制


### 设置点位


**接口地址**:`/pointset/{building}/{meter}/{funcid}/{data}`


**请求方式**:`GET`


**请求数据类型**:`application/x-www-form-urlencoded`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


| 参数名称 | 参数说明          | 请求类型 | 是否必须 | 数据类型 | schema |
| -------- | ----------------- | -------- | -------- | -------- | ------ |
| building | 项目编码-10位数字 | path     | true     | string   |        |
| data     | 设定值            | path     | true     | string   |        |
| funcid   | 功能号            | path     | true     | string   |        |
| meter    | 仪表号            | path     | true     | string   |        |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


### 设置点位


**接口地址**:`/pointset_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "data": 13.14,
  "endtime": "20201224192034",
  "funcid": 10101,
  "meter": "1001",
  "operation": "pointread/pointset",
  "receivetime": "20201224192034",
  "status": "finish:success",
  "virtual": false
}
```


**请求参数**:


| 参数名称                | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型         | schema           |
| ----------------------- | ------------------------------------------------------------ | -------- | -------- | ---------------- | ---------------- |
| PointSetData            | 注意：参数和返回值共用此类                                   | body     | true     | 点位参数与返回值 | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string           |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number(double)   |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string           |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer(int32)   |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string           |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string           |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string           |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string           |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean          |                  |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 201    | Created      |                  |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


### 批量设置点位


**接口地址**:`/pointsetbatch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "points": [
    {
      "building": "1101070037",
      "data": 13.14,
      "endtime": "20201224192034",
      "funcid": 10101,
      "meter": "1001",
      "operation": "pointread/pointset",
      "receivetime": "20201224192034",
      "status": "finish:success",
      "virtual": false
    }
  ],
  "receivetime": "20201224192034",
  "status": "finish:success"
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型             | schema               |
| ----------------------------------- | ------------------------------------------------------------ | -------- | -------- | -------------------- | -------------------- |
| PointSetBatchParam                  | 注意：参数和返回值共用此类                                   | body     | true     | 批量点位参数与返回值 | 批量点位参数与返回值 |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;points                  | 参数：点位数组                                               |          | false    | array                | 点位参数与返回值     |
| &emsp;&emsp;&emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number               |                      |
| &emsp;&emsp;&emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer              |                      |
| &emsp;&emsp;&emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean              |                      |
| &emsp;&emsp;receivetime             | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |


**响应状态**:


| 状态码 | 说明         | schema               |
| ------ | ------------ | -------------------- |
| 200    | OK           | 批量点位参数与返回值 |
| 201    | Created      |                      |
| 401    | Unauthorized |                      |
| 403    | Forbidden    |                      |
| 404    | Not Found    |                      |


**响应参数**:


| 参数名称                | 参数说明                                                     | 类型           | schema           |
| ----------------------- | ------------------------------------------------------------ | -------------- | ---------------- |
| building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| points                  | 参数：点位数组                                               | array          | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         | string         |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 | integer(int32) |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               | string         |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   | string         |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         | string         |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                  |
| receivetime             | 返回值：操作结束时间                                         | string         |                  |
| status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"points": [
		{
			"building": "1101070037",
			"data": 13.14,
			"endtime": "20201224192034",
			"funcid": 10101,
			"meter": "1001",
			"operation": "pointread/pointset",
			"receivetime": "20201224192034",
			"status": "finish:success",
			"virtual": false
		}
	],
	"receivetime": "20201224192034",
	"status": "finish:success"
}
```


### 批量查询控制结果


**接口地址**:`/pointsetresultbatch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "points": [
    {
      "building": "1101070037",
      "data": 13.14,
      "funcid": 10101,
      "meter": "1001",
      "virtual": false
    }
  ],
  "receivetime": "20201224192034",
  "status": "finish:success"
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型             | schema               |
| ----------------------------------- | ------------------------------------------------------------ | -------- | -------- | -------------------- | -------------------- |
| PointSetBatchParam                  | 注意：参数和返回值共用此类                                   | body     | true     | 批量点位参数与返回值 | 批量点位参数与返回值 |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;points                  | 参数：点位数组                                               |          | false    | array                | 点位参数与返回值     |
| &emsp;&emsp;&emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number               |                      |
| &emsp;&emsp;&emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer              |                      |
| &emsp;&emsp;&emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean              |                      |
| &emsp;&emsp;receivetime             | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |


**响应状态**:


| 状态码 | 说明         | schema               |
| ------ | ------------ | -------------------- |
| 200    | OK           | 批量点位参数与返回值 |
| 201    | Created      |                      |
| 401    | Unauthorized |                      |
| 403    | Forbidden    |                      |
| 404    | Not Found    |                      |


**响应参数**:


| 参数名称                | 参数说明                                                     | 类型           | schema           |
| ----------------------- | ------------------------------------------------------------ | -------------- | ---------------- |
| building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| points                  | 参数：点位数组                                               | array          | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         | string         |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 | integer(int32) |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               | string         |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   | string         |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         | string         |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                  |
| receivetime             | 返回值：操作结束时间                                         | string         |                  |
| status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"points": [
		{
			"building": "1101070037",
			"data": 13.14,
			"endtime": "20201224192034",
			"funcid": 10101,
			"meter": "1001",
			"operation": "pointread/pointset",
			"receivetime": "20201224192034",
			"status": "finish:success",
			"virtual": false
		}
	],
	"receivetime": "20201224192034",
	"status": "finish:success"
}
```


## 查询采集当前值


### 查询采集当前值


**接口地址**:`/presentreport/{building}/{meter}/{funcid}`


**请求方式**:`GET`


**请求数据类型**:`application/x-www-form-urlencoded`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


| 参数名称 | 参数说明          | 请求类型 | 是否必须 | 数据类型 | schema |
| -------- | ----------------- | -------- | -------- | -------- | ------ |
| building | 项目编码-10位数字 | path     | true     | string   |        |
| funcid   | 功能号            | path     | true     | string   |        |
| meter    | 仪表号            | path     | true     | string   |        |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


### 查询采集当前值


**接口地址**:`/presentreport_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "data": 13.14,
  "endtime": "20201224192034",
  "funcid": 10101,
  "meter": "1001",
  "operation": "pointread/pointset",
  "receivetime": "20201224192034",
  "status": "finish:success",
  "virtual": false
}
```


**请求参数**:


| 参数名称                | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型         | schema           |
| ----------------------- | ------------------------------------------------------------ | -------- | -------- | ---------------- | ---------------- |
| psp                     | 注意：参数和返回值共用此类                                   | body     | true     | 点位参数与返回值 | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string           |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number(double)   |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string           |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer(int32)   |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string           |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string           |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string           |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string           |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean          |                  |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 201    | Created      |                  |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


### 批量查询采集当前值


**接口地址**:`/presentreportbatch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "points": [
    {
      "building": "1101070037",
      "data": 13.14,
      "endtime": "20201224192034",
      "funcid": 10101,
      "meter": "1001",
      "operation": "pointread/pointset",
      "receivetime": "20201224192034",
      "status": "finish:success",
      "virtual": false
    }
  ],
  "receivetime": "20201224192034",
  "status": "finish:success"
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型             | schema               |
| ----------------------------------- | ------------------------------------------------------------ | -------- | -------- | -------------------- | -------------------- |
| PointSetBatchParam                  | 注意：参数和返回值共用此类                                   | body     | true     | 批量点位参数与返回值 | 批量点位参数与返回值 |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;points                  | 参数：点位数组                                               |          | false    | array                | 点位参数与返回值     |
| &emsp;&emsp;&emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number               |                      |
| &emsp;&emsp;&emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer              |                      |
| &emsp;&emsp;&emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean              |                      |
| &emsp;&emsp;receivetime             | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |


**响应状态**:


| 状态码 | 说明         | schema               |
| ------ | ------------ | -------------------- |
| 200    | OK           | 批量点位参数与返回值 |
| 201    | Created      |                      |
| 401    | Unauthorized |                      |
| 403    | Forbidden    |                      |
| 404    | Not Found    |                      |


**响应参数**:


| 参数名称                | 参数说明                                                     | 类型           | schema           |
| ----------------------- | ------------------------------------------------------------ | -------------- | ---------------- |
| building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| points                  | 参数：点位数组                                               | array          | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         | string         |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 | integer(int32) |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               | string         |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   | string         |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         | string         |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                  |
| receivetime             | 返回值：操作结束时间                                         | string         |                  |
| status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"points": [
		{
			"building": "1101070037",
			"data": 13.14,
			"endtime": "20201224192034",
			"funcid": 10101,
			"meter": "1001",
			"operation": "pointread/pointset",
			"receivetime": "20201224192034",
			"status": "finish:success",
			"virtual": false
		}
	],
	"receivetime": "20201224192034",
	"status": "finish:success"
}
```


## 查询控制当前值


### 查询控制当前值


**接口地址**:`/presentset/{building}/{meter}/{funcid}`


**请求方式**:`GET`


**请求数据类型**:`application/x-www-form-urlencoded`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


| 参数名称 | 参数说明          | 请求类型 | 是否必须 | 数据类型 | schema |
| -------- | ----------------- | -------- | -------- | -------- | ------ |
| building | 项目编码-10位数字 | path     | true     | string   |        |
| funcid   | 功能号            | path     | true     | string   |        |
| meter    | 仪表号            | path     | true     | string   |        |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


### 查询控制当前值


**接口地址**:`/presentset_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "data": 13.14,
  "endtime": "20201224192034",
  "funcid": 10101,
  "meter": "1001",
  "operation": "pointread/pointset",
  "receivetime": "20201224192034",
  "status": "finish:success",
  "virtual": false
}
```


**请求参数**:


| 参数名称                | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型         | schema           |
| ----------------------- | ------------------------------------------------------------ | -------- | -------- | ---------------- | ---------------- |
| psp                     | 注意：参数和返回值共用此类                                   | body     | true     | 点位参数与返回值 | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string           |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number(double)   |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string           |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer(int32)   |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string           |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string           |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string           |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string           |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean          |                  |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 201    | Created      |                  |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


### 查询控制当前值


**接口地址**:`/presentsetbatch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "points": [
    {
      "building": "1101070037",
      "data": 13.14,
      "endtime": "20201224192034",
      "funcid": 10101,
      "meter": "1001",
      "operation": "pointread/pointset",
      "receivetime": "20201224192034",
      "status": "finish:success",
      "virtual": false
    }
  ],
  "receivetime": "20201224192034",
  "status": "finish:success"
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型             | schema               |
| ----------------------------------- | ------------------------------------------------------------ | -------- | -------- | -------------------- | -------------------- |
| PointSetBatchParam                  | 注意：参数和返回值共用此类                                   | body     | true     | 批量点位参数与返回值 | 批量点位参数与返回值 |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;points                  | 参数：点位数组                                               |          | false    | array                | 点位参数与返回值     |
| &emsp;&emsp;&emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number               |                      |
| &emsp;&emsp;&emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer              |                      |
| &emsp;&emsp;&emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean              |                      |
| &emsp;&emsp;receivetime             | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |


**响应状态**:


| 状态码 | 说明         | schema               |
| ------ | ------------ | -------------------- |
| 200    | OK           | 批量点位参数与返回值 |
| 201    | Created      |                      |
| 401    | Unauthorized |                      |
| 403    | Forbidden    |                      |
| 404    | Not Found    |                      |


**响应参数**:


| 参数名称                | 参数说明                                                     | 类型           | schema           |
| ----------------------- | ------------------------------------------------------------ | -------------- | ---------------- |
| building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| points                  | 参数：点位数组                                               | array          | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         | string         |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 | integer(int32) |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               | string         |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   | string         |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         | string         |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                  |
| receivetime             | 返回值：操作结束时间                                         | string         |                  |
| status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"points": [
		{
			"building": "1101070037",
			"data": 13.14,
			"endtime": "20201224192034",
			"funcid": 10101,
			"meter": "1001",
			"operation": "pointread/pointset",
			"receivetime": "20201224192034",
			"status": "finish:success",
			"virtual": false
		}
	],
	"receivetime": "20201224192034",
	"status": "finish:success"
}
```


## 同步采集


### 读取点位


**接口地址**:`/sync_pointread/{building}/{meter}/{funcid}`


**请求方式**:`GET`


**请求数据类型**:`application/x-www-form-urlencoded`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


| 参数名称 | 参数说明          | 请求类型 | 是否必须 | 数据类型 | schema |
| -------- | ----------------- | -------- | -------- | -------- | ------ |
| building | 项目编码-10位数字 | path     | true     | string   |        |
| funcid   | 功能号            | path     | true     | string   |        |
| meter    | 仪表号            | path     | true     | string   |        |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


### 读取点位


**接口地址**:`/sync_pointread_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "data": 13.14,
  "endtime": "20201224192034",
  "funcid": 10101,
  "meter": "1001",
  "operation": "pointread/pointset",
  "receivetime": "20201224192034",
  "status": "finish:success",
  "virtual": false
}
```


**请求参数**:


| 参数名称                | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型         | schema           |
| ----------------------- | ------------------------------------------------------------ | -------- | -------- | ---------------- | ---------------- |
| PointSetData            | 注意：参数和返回值共用此类                                   | body     | true     | 点位参数与返回值 | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string           |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number(double)   |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string           |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer(int32)   |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string           |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string           |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string           |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string           |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean          |                  |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 201    | Created      |                  |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


### 批量读取点位


**接口地址**:`/sync_pointreadbatch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "points": [
    {
      "building": "1101070037",
      "data": 13.14,
      "endtime": "20201224192034",
      "funcid": 10101,
      "meter": "1001",
      "operation": "pointread/pointset",
      "receivetime": "20201224192034",
      "status": "finish:success",
      "virtual": false
    }
  ],
  "receivetime": "20201224192034",
  "status": "finish:success"
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型             | schema               |
| ----------------------------------- | ------------------------------------------------------------ | -------- | -------- | -------------------- | -------------------- |
| PointSetBatchParam                  | 注意：参数和返回值共用此类                                   | body     | true     | 批量点位参数与返回值 | 批量点位参数与返回值 |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;points                  | 参数：点位数组                                               |          | false    | array                | 点位参数与返回值     |
| &emsp;&emsp;&emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number               |                      |
| &emsp;&emsp;&emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer              |                      |
| &emsp;&emsp;&emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean              |                      |
| &emsp;&emsp;receivetime             | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |


**响应状态**:


| 状态码 | 说明         | schema               |
| ------ | ------------ | -------------------- |
| 200    | OK           | 批量点位参数与返回值 |
| 201    | Created      |                      |
| 401    | Unauthorized |                      |
| 403    | Forbidden    |                      |
| 404    | Not Found    |                      |


**响应参数**:


| 参数名称                | 参数说明                                                     | 类型           | schema           |
| ----------------------- | ------------------------------------------------------------ | -------------- | ---------------- |
| building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| points                  | 参数：点位数组                                               | array          | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         | string         |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 | integer(int32) |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               | string         |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   | string         |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         | string         |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                  |
| receivetime             | 返回值：操作结束时间                                         | string         |                  |
| status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"points": [
		{
			"building": "1101070037",
			"data": 13.14,
			"endtime": "20201224192034",
			"funcid": 10101,
			"meter": "1001",
			"operation": "pointread/pointset",
			"receivetime": "20201224192034",
			"status": "finish:success",
			"virtual": false
		}
	],
	"receivetime": "20201224192034",
	"status": "finish:success"
}
```


## 同步控制


### 设置点位


**接口地址**:`/sync_pointset/{building}/{meter}/{funcid}/{data}`


**请求方式**:`GET`


**请求数据类型**:`application/x-www-form-urlencoded`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


| 参数名称 | 参数说明          | 请求类型 | 是否必须 | 数据类型 | schema |
| -------- | ----------------- | -------- | -------- | -------- | ------ |
| building | 项目编码-10位数字 | path     | true     | string   |        |
| data     | 设定值            | path     | true     | string   |        |
| funcid   | 功能号            | path     | true     | string   |        |
| meter    | 仪表号            | path     | true     | string   |        |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


### 设置点位


**接口地址**:`/sync_pointset_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "data": 13.14,
  "endtime": "20201224192034",
  "funcid": 10101,
  "meter": "1001",
  "operation": "pointread/pointset",
  "receivetime": "20201224192034",
  "status": "finish:success",
  "virtual": false
}
```


**请求参数**:


| 参数名称                | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型         | schema           |
| ----------------------- | ------------------------------------------------------------ | -------- | -------- | ---------------- | ---------------- |
| PointSetData            | 注意：参数和返回值共用此类                                   | body     | true     | 点位参数与返回值 | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string           |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number(double)   |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string           |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer(int32)   |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string           |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string           |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string           |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string           |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean          |                  |


**响应状态**:


| 状态码 | 说明         | schema           |
| ------ | ------------ | ---------------- |
| 200    | OK           | 点位参数与返回值 |
| 201    | Created      |                  |
| 401    | Unauthorized |                  |
| 403    | Forbidden    |                  |
| 404    | Not Found    |                  |


**响应参数**:


| 参数名称    | 参数说明                                                     | 类型           | schema         |
| ----------- | ------------------------------------------------------------ | -------------- | -------------- |
| building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                |
| data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) | number(double) |
| endtime     | 返回值：操作结束时间                                         | string         |                |
| funcid      | 参数：功能号                                                 | integer(int32) | integer(int32) |
| meter       | 参数：仪表编号                                               | string         |                |
| operation   | 参数：操作类型，不需要设置                                   | string         |                |
| receivetime | 返回值：操作开始时间                                         | string         |                |
| status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                |
| virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                |


**响应示例**:

```javascript
{
	"building": "1101070037",
	"data": 13.14,
	"endtime": "20201224192034",
	"funcid": 10101,
	"meter": "1001",
	"operation": "pointread/pointset",
	"receivetime": "20201224192034",
	"status": "finish:success",
	"virtual": false
}
```


### 批量设置点位


**接口地址**:`/sync_pointsetbatch_post`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求示例**:


```javascript
{
  "building": "1101070037",
  "points": [
    {
      "building": "1101070037",
      "data": 13.14,
      "endtime": "20201224192034",
      "funcid": 10101,
      "meter": "1001",
      "operation": "pointread/pointset",
      "receivetime": "20201224192034",
      "status": "finish:success",
      "virtual": false
    }
  ],
  "receivetime": "20201224192034",
  "status": "finish:success"
}
```


**请求参数**:


| 参数名称                            | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型             | schema               |
| ----------------------------------- | ------------------------------------------------------------ | -------- | -------- | -------------------- | -------------------- |
| PointSetBatchParam                  | 注意：参数和返回值共用此类                                   | body     | true     | 批量点位参数与返回值 | 批量点位参数与返回值 |
| &emsp;&emsp;building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;points                  | 参数：点位数组                                               |          | false    | array                | 点位参数与返回值     |
| &emsp;&emsp;&emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 |          | false    | number               |                      |
| &emsp;&emsp;&emsp;&emsp;endtime     | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;funcid      | 参数：功能号                                                 |          | false    | integer              |                      |
| &emsp;&emsp;&emsp;&emsp;meter       | 参数：仪表编号                                               |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;receivetime | 返回值：操作开始时间                                         |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |
| &emsp;&emsp;&emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                |          | false    | boolean              |                      |
| &emsp;&emsp;receivetime             | 返回值：操作结束时间                                         |          | false    | string               |                      |
| &emsp;&emsp;status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 |          | false    | string               |                      |


**响应状态**:


| 状态码 | 说明         | schema               |
| ------ | ------------ | -------------------- |
| 200    | OK           | 批量点位参数与返回值 |
| 201    | Created      |                      |
| 401    | Unauthorized |                      |
| 403    | Forbidden    |                      |
| 404    | Not Found    |                      |


**响应参数**:


| 参数名称                | 参数说明                                                     | 类型           | schema           |
| ----------------------- | ------------------------------------------------------------ | -------------- | ---------------- |
| building                | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| points                  | 参数：点位数组                                               | array          | 点位参数与返回值 |
| &emsp;&emsp;building    | 参数：项目编码-10位数字，如果是批量参数的下级则不需要设置    | string         |                  |
| &emsp;&emsp;data        | 操作类型为pointread：该属性是返回值；操作类型为pointset：该属性是参数 | number(double) |                  |
| &emsp;&emsp;endtime     | 返回值：操作结束时间                                         | string         |                  |
| &emsp;&emsp;funcid      | 参数：功能号                                                 | integer(int32) |                  |
| &emsp;&emsp;meter       | 参数：仪表编号                                               | string         |                  |
| &emsp;&emsp;operation   | 参数：操作类型，不需要设置                                   | string         |                  |
| &emsp;&emsp;receivetime | 返回值：操作开始时间                                         | string         |                  |
| &emsp;&emsp;status      | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |
| &emsp;&emsp;virtual     | 参数：是否虚拟点，默认值false                                | boolean        |                  |
| receivetime             | 返回值：操作结束时间                                         | string         |                  |
| status                  | 返回值：同步接口返回finish:success是成功，其他都是失败；异步接口可能返回start:sent，或者finish:{除success外的其他字符串}表示失败 | string         |                  |

**响应示例**:



## iot数据导入


### Excel在线导入


**接口地址**:`/iot-collect/importOnline`


**请求方式**:`POST`


**请求数据类型**:`multipart/form-data`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


| 参数名称          | 参数说明                                                     | 请求类型 | 是否必须 | 数据类型       | 默认值值 |
| ----------------- | ------------------------------------------------------------ | -------- | -------- | -------------- | -------- |
| file              | file,要上传的excel,sheet名称为不带Pj的10位项目ID             | body     | true     | string         |          |
| consumerBatchSize | 批量写入excel行数                                            | query    | false    | integer(int32) | 10       |
| dynamicTime       | 哪个时间以后的数据动态导入,dynamicTimeEnable=true才有意义,dynamicTime时间前的静态,时间后的动态 | query    | false    | string         |          |
| dynamicTimeEnable | 是否开启动态导入,动态导入会随着时间推移慢慢的发数据,静态会一股脑导入 | query    | false    | boolean        | false    |
| startTime         | 限制导入时间的范围,开始时间                                  | query    | false    | string         | 空       |
| endTime           | 限制导入时间开始围,结束时间                                  | query    | false    | string         | 空       |
| headRowNumber     | 从那一行开始读                                               | query    | false    | integer(int32) | 0        |
| sheetNo           | 使用第几个sheet                                              | query    | false    | integer(int32) | 0        |

**响应参数**:


| 参数名称  | 参数说明                                   | 类型           | schema         |
| --------- | ------------------------------------------ | -------------- | -------------- |
| code      | 结果码.00000是成功,其他都是失败            | string         |                |
| data      | 响应数据                                   | object         |                |
| message   | 错误提示信息                               | string         |                |
| result    | 结果标识:成功标识：success，失败标识：fail | string         |                |
| timestamp | 响应时间戳                                 | integer(int64) | integer(int64) |

**响应示例**:

```javascript
{
	"code": "",
	"data": {},
	"message": "",
	"result": "",
	"timestamp": 0
}
```

#### Ecxcel模板

前3行和第一列格式不要变动,但是内容可以改;

sheet名称为不带Pj的10位项目ID;

| 时间/表号      | 1001       | 1002                             | 1003                         | 1003     |
| -------------- | ---------- | -------------------------------- | ---------------------------- | -------- |
| 时间/功能号    | 10101      | 10101                            | 666                          | 888      |
| 时间/描述      | 高压出线柜 | 低压进线柜1 （同颜色的16个支路） | 低压进线柜2 同颜色的18个支路 | 主次力店 |
| 20210101000000 | 240.1      | 197.4                            | 42.7                         | 12.8     |
| 20210101001500 | 494.8      | 407.3                            | 87.5                         | 29.2     |
| 20210101003000 | 709.1      | 578.1                            | 131.0                        | 44.4     |
| 20210101004500 | 919.4      | 744.4                            | 175.0                        | 59.5     |
| 20210101010000 | 1097.6     | 886.5                            | 194.9                        | 74.2     |
| 20210101011500 | 1260.5     | 1029.8                           | 214.5                        | 88.3     |
| 20210101013000 | 1422.2     | 1168.8                           | 237.2                        | 101.6    |
| 20210101014500 | 1601.9     | 1328.1                           | 257.6                        | 115.2    |

### 终止所有动态导入


**接口地址**:`/iot-collect/stopImportIot`


**请求方式**:`POST`


**请求数据类型**:`application/json`


**响应数据类型**:`*/*`


**接口描述**:


**请求参数**:


{}

**响应参数**:


| 参数名称  | 参数说明                                   | 类型           | schema         |
| --------- | ------------------------------------------ | -------------- | -------------- |
| code      | 结果码.00000是成功,其他都是失败            | string         |                |
| data      | 响应数据                                   | object         |                |
| message   | 错误提示信息                               | string         |                |
| result    | 结果标识:成功标识：success，失败标识：fail | string         |                |
| timestamp | 响应时间戳                                 | integer(int64) | integer(int64) |

**响应示例**:

```javascript
{
	"code": "",
	"data": {},
	"message": "",
	"result": "",
	"timestamp": 0
}
```



## metadat-web habse接口



```
**危险操作,非警务动**
指定库检查表
http://localhost:8080/metadata-web/services/Service1_RS/database_check/db_public

普通表查看
http://localhost:8080/metadata-web/services/Service1_RS/table_drop_force/db_public/table1/print
普通表强制删除
http://localhost:8080/metadata-web/services/Service1_RS/table_drop_force/db_public/table1/drop

主表查看
http://localhost:8080/metadata-web/services/Service1_RS/main_table_drop_force/db_public/fjd_1_near_1d/print
主表强制删除
http://localhost:8080/metadata-web/services/Service1_RS/main_table_drop_force/db_public/fjd_1_near_1d/drop

分表查看
http://localhost:8080/metadata-web/services/Service1_RS/child_table_drop_force/db_public/fjd_1_near_1d/200001/print
分表强制删除
http://localhost:8080/metadata-web/services/Service1_RS/child_table_drop_force/db_public/fjd_1_near_1d/200001/drop

删除zk中zillion节点
http://localhost:8080/metadata-web/services/Service1_RS/zk_rmr_zillion

删除zk中compute_engine节点
http://localhost:8080/metadata-web/services/Service1_RS/zk_rmr_compute_engine
修改表坏块
http://localhost:8080/metadata-web/services/Service1_RS/compact_table/db_public/zillion_data_fjd_0_near_15min_202111
```

