# 数据迁移设计
字典数据只针对集团、项目级数据，不包含通用定义数据。

## 迁移日志数据结构

### 1. 表名（dt_sync_data）

| 字段          | 字段说明       | 数据类型     | 备注                 |
| ------------- | -------------- | ------------ | -------------------- |
| id            | 主键           | varchar(100) | 32位UUID             |
| table_name    | 同步表名称     | varchar(32)  |					   |
| target_id     | 同步数据id     | varchar(100) | 对象id/关系id/类型id/信息点id|
| object_type   | 对象类型       | varchar(200) | 			           |
| type          | 操作类型       | varchar(200) |                      |
| project_id    | 项目id         | varchar(200) |					   |
| sign		    | 标记           | int          |                      |
| ops           | 操作符         | varchar(200) |                      |
| ops_name      | 操作符名称     | varchar(200) |                      |
| from_id       | 主id           | varchar(100) |                      |
| to_id         | 从id           | varchar(100) |                      |
| error         | 错误内容       | longtext     |                      |
| class_code    | 类型           | varchar(100) |                      |
| local_name    | 本地名称       | varchar(200) |                      |
| local_id      | 本地编码       | varchar(200) |                      |
| name          | 名称           | varchar(200) |                      |
| code          | code			 |varchar(200)  |                      |
| creator     |           创建人           | varchar(32)  |                       |
| creation_time  |          创建时间          |   char(14)   | 格式为yyyyMMddHHmmss  |
| modifier    |         最后修改人         | varchar(32)  |                       |
| modified_time  |        最后修改时间        |   char(14)   | 格式为yyyyMMddHHmmss  |
| valid      |          合法标识          |  tinyint(4)  |     0-无效,1-有效     |
| ts       |           乐观锁           |  timestamp   |                       |

### 2 接口
#### m20001 迁移数据 日志查看
##### 接口：
`http://develop.ysbdtp.com/log/migrate/query`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### RequestBody
```
{
    "page": 1,
    "size": 50,
    "onlyCount": false,
    "withoutCount": false,
    "criteria": {
        "sign": 2,
        "type": "create",
        "tableName": "dt_relation",
        "creationTime": {
            "$gte": 20220120121146,
            "$lte": 20220123121146
        },
        "valid": 1
    }
}
```

#### m20002 迁移数据 日志删除 物理删除
##### 接口：
`http://develop.ysbdtp.com/log/migrate/deleteAllLog`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 是       | 项目id   |
| appId     | 否       | 应用id   |

#### RequestBody
```
{
    "criteria": {
        "sign": 2,
        "type": "create",
        "tableName": "dt_relation",
        "creationTime": {
            "$gte": 20220120121146,
            "$lte": 20220123121146
        },
        "valid": 1
    }
}
```

