# 物理世界

## 数据结构

### 1.版本定义表（dt_define_version）

| 字段          | 字段说明       | 数据类型    | 备注                                         |
| ------------- | -------------- | ----------- | -------------------------------------------- |
| id            | 主键           | varchar(40) | 32位UUID                                     |
| version       | 版本编号       | varchar(40) | 全局唯一                                     |
| state         | 版本状态       | varchar(2)  | 0-已取消,1-待确认,2-待发布,3-发布中,4-已完成 |
| last_flag     | 最新标识       | tinyint(4)  | 0-历史,1-最新                                |
| last_version  | 上一版本号     | varchar(40) |                                              |
| show_order    | 显示顺序       | int(11)     |                                              |
| confirm_user  | 确认人         | varchar(40) | 集团编码                                     |
| confirm_time  | 确认时间       | char(14)    | 格式为yyyyMMddHHmmss                         |
| publish_user  | 发布人         | int(11)     | 1单个对象,2对象组                            |
| publish_time  | 发布时间       | char(14)    | 格式为yyyyMMddHHmmss                         |
| finish_time   | 完成时间       | char(14)    | 格式为yyyyMMddHHmmss                         |
| creator       | 创建人账号id   | varchar(32) |                                              |
| creation_time | 创建时间       | char(14)    | 格式为yyyyMMddHHmmss                         |
| modified_time | 最后更新时间   | char(14)    | 格式为yyyyMMddHHmmss                         |
| modifier      | 最后更新账号id | varchar(32) |                                              |
| valid         | 合法标识       | tinyint(4)  | 0-无效,1-有效                                |
| ts            | 乐观锁         | timestamp   |                                              |

## DDL语句

### 版本定义表

```sql
CREATE TABLE IF NOT EXISTS `dt_define_version` (
  `id` varchar(40) NOT NULL COMMENT '主键',
  `version` varchar(40) DEFAULT NULL COMMENT '版本编号,全局唯一',
  `state` varchar(2) DEFAULT NULL COMMENT '版本状态,0-已取消,1-待确认,2-待发布,3-发布中,4-已完成',
  `last_flag` tinyint(4) DEFAULT NULL COMMENT '最新标识,0-非最新,1-最新',
  `last_version` varchar(40) DEFAULT NULL COMMENT '上一版本号',
  `show_order` int(11) DEFAULT NULL COMMENT '显示顺序',
  `confirm_user` varchar(32) DEFAULT NULL COMMENT '确认人',
  `confirm_time` char(14) DEFAULT NULL COMMENT '确认时间,格式为yyyyMMddHHmmss',
  `publish_user` varchar(32) DEFAULT NULL COMMENT '发布人',
  `publish_time` char(14) DEFAULT NULL COMMENT '发布时间,格式为yyyyMMddHHmmss',
  `finish_time` char(14) DEFAULT NULL COMMENT '完成时间,格式为yyyyMMddHHmmss',
  `creator` varchar(32) DEFAULT NULL COMMENT '创建人',
  `creation_time` char(14) DEFAULT NULL COMMENT '创建时间,格式为yyyyMMddHHmmss',
  `modifier` varchar(32) DEFAULT NULL COMMENT '最后更新人',
  `modified_time` char(14) DEFAULT NULL COMMENT '最后更新时间,格式为yyyyMMddHHmmss',
  `valid` tinyint(4) DEFAULT NULL COMMENT '合法标识,0-无效,1-有效',
  `ts` timestamp NULL DEFAULT NULL COMMENT '乐观锁',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='版本定义表';
```