# dmp-rwd-version接口

## 需求管理

### 32001 保存草稿

#### 接口

`http://localhost:8833/dmp-rwd-version/rwdedit/demand/save?groupCode=0&userId=systemId`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "userName": "111",
    "deptName": "111",
    "productLine": 1,
    "subject": "111",
    "content": "111"
}
```

| 字段        | 是否必须 | 字段说明                                              |
| ----------- | -------- | ----------------------------------------------------- |
| userName    | 是       | 用户名                                                 |
| deptName    | 是       | 部门名称                                                |
| productLine | 是       | 产线-1:业务 2：研发 3：实施                               |
| subject     | 是       | 主题                                                   |
| content     | 是       | 内容                                                   |

#### 成功例子

```
{
    "result": "success",
    "data": {
        "id": "1438483235070820353",
        "valid": 1,
        "creationTime": 1631796103000,
        "creator": "systemId",
        "code": "10002",
        "userName": "111",
        "deptName": "111",
        "productLine": 1,
        "subject": "111",
        "content": "111",
        "billState": 0
    }
}
```

| 字段         | 是否必有 | 字段说明                                              |
| ------------ | -------- | ----------------------------------------------------- |
| id           | 是       | 32位UUID                                               |
| code         | 是       | 编码 - 6位流水号                                         |
| userName     | 是       | 用户名                                                  |
| deptName     | 是       | 部门名称                                                |
| productLine  | 是       | 产线-1:业务 2：研发 3：实施                               |
| subject      | 是       | 主题                                                   |
| content      | 否       | 内容                                                   |
| billState    | 是       | 需求状态 - 0:待提交 1:待回复 2:已接受 3:已拒绝 4:待完善 5:论证中 |
| respondent   | 否       | 回复人                                                  |
| reply        | 否       | 回复内容                                                |
| submitTime   | 否       | 提交时间                                                |
| estimateTime | 否       | 预计回复日期                                              |
| answerTime   | 否       | 回复时间                                                |
| creationTime | 是       | 创建时间,格式为yyyyMMddHHmmss                            |
| creator      | 是       | 创建人账号id                                            |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                         |
| modifier     | 否       | 最后更新账号id                                           |
| valid        | 是       | 有效状态,0-无效,1-有效                                    |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年9月16日20:45:09  | 新增  | 新增接口  |


### 32002 提交需求

#### 接口

`http://localhost:8831/dmp-rwd-version/rwdedit/demand/submit?groupCode=0&userId=systemId`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id    |
| groupCode | 是       | 集团编码   |
| projectId | 否       | 项目id    |
| appId     | 否       | 应用id    |

#### 参数例子

```
{
    "id": "111",
    "userName": "111",
    "deptName": "111",
    "productLine": 1,
    "subject": "111",
    "content": "111"
}
```

| 字段        | 是否必须 | 字段说明                                              |
| ----------- | -------- | ----------------------------------------------------- |
| id          | 否       | 主键                                                   |
| userName    | 是       | 用户名                                                 |
| deptName    | 是       | 部门名称                                                |
| productLine | 是       | 产线-1:业务 2：研发 3：实施                               |
| subject     | 是       | 主题                                                   |
| content     | 是       | 内容                                                   |

#### 成功例子

```
{
    "result": "success",
    "data": {
        "id": "1438483235070820353",
        "valid": 1,
        "creationTime": 1631796103000,
        "creator": "systemId",
        "code": "10002",
        "userName": "111",
        "deptName": "111",
        "productLine": 1,
        "subject": "111",
        "content": "111",
        "billState": 0
    }
}
```

| 字段         | 是否必有 | 字段说明                                              |
| ------------ | -------- | ----------------------------------------------------- |
| id           | 是       | 32位UUID                                               |
| code         | 是       | 编码 - 6位流水号                                         |
| userName     | 是       | 用户名                                                  |
| deptName     | 是       | 部门名称                                                |
| productLine  | 是       | 产线-1:业务 2：研发 3：实施                               |
| subject      | 是       | 主题                                                   |
| content      | 否       | 内容                                                   |
| billState    | 是       | 需求状态 - 0:待提交 1:待回复 2:已接受 3:已拒绝 4:待完善 5:论证中 |
| respondent   | 否       | 回复人                                                  |
| reply        | 否       | 回复内容                                                |
| submitTime   | 否       | 提交时间                                                |
| estimateTime | 否       | 预计回复日期                                              |
| answerTime   | 否       | 回复时间                                                |
| creationTime | 是       | 创建时间,格式为yyyyMMddHHmmss                            |
| creator      | 是       | 创建人账号id                                            |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                         |
| modifier     | 否       | 最后更新账号id                                           |
| valid        | 是       | 有效状态,0-无效,1-有效                                    |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年9月16日20:45:09  | 新增  | 新增接口  |


### 32003 删除需求

#### 接口

`http://localhost:8831/dmp-rwd-version/rwdedit/demand/delete?groupCode=0&userId=systemId`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
["id1","id2"]
```

| 字段 | 是否必须 | 字段说明 |
| ---- | -------- | -------- |
| id   | 是       | 需求ID    |

#### 成功例子

```
{
    "result": "success"
}
```

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年9月16日20:45:09  | 新增  | 新增接口  |


### 32004 回复需求

#### 接口

`http://localhost:8831/dmp-rwd-version/rwdedit/demand/answer?groupCode=0&userId=systemId`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "ids": ["1438457361181192193","1438457834139299841"],
    "billState": 5,
    "respondent": "aabbcc",
    "reply": "xxxxxxxxx",
    "estimateTime": 1631793138000
}
```

| 字段        | 是否必须 | 字段说明                                              |
| ----------- | -------- | ----------------------------------------------------- |
| ids         | 是       | 需求IDs                                                |
| billState   | 是       | 需求状态 -  2:已接受 3:已拒绝 4:待完善 5:论证中             |
| respondent  | 否       | 回复人                                                 |
| reply       | 否       | 回复内容                                               |
| estimateTime| 否       | 预计回复日期 - 论证中状态时此值生效                         |

#### 成功例子

```
{
    "result": "success",
    "data": {
        "id": "1438483235070820353",
        "valid": 1,
        "creationTime": 1631796103000,
        "creator": "systemId",
        "code": "10002",
        "userName": "111",
        "deptName": "111",
        "productLine": 1,
        "subject": "111",
        "content": "111",
        "billState": 0
    }
}
```

| 字段         | 是否必有 | 字段说明                                              |
| ------------ | -------- | ----------------------------------------------------- |
| id           | 是       | 32位UUID                                               |
| code         | 是       | 编码 - 6位流水号                                         |
| userName     | 是       | 用户名                                                  |
| deptName     | 是       | 部门名称                                                |
| productLine  | 是       | 产线-1:业务 2：研发 3：实施                               |
| subject      | 是       | 主题                                                   |
| content      | 否       | 内容                                                   |
| billState    | 是       | 需求状态 - 0:待提交 1:待回复 2:已接受 3:已拒绝 4:待完善 5:论证中 |
| respondent   | 否       | 回复人                                                  |
| reply        | 否       | 回复内容                                                |
| submitTime   | 否       | 提交时间                                                |
| estimateTime | 否       | 预计回复日期                                              |
| answerTime   | 否       | 回复时间                                                |
| creationTime | 是       | 创建时间,格式为yyyyMMddHHmmss                            |
| creator      | 是       | 创建人账号id                                            |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                         |
| modifier     | 否       | 最后更新账号id                                           |
| valid        | 是       | 有效状态,0-无效,1-有效                                    |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年9月16日20:45:09  | 新增  | 新增接口  |


### 32005 查询草稿箱

#### 接口

`http://localhost:8831/dmp-rwd-version/rwdedit/demand/queryDraft?groupCode=0&userId=systemId`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "creatorCond": 0,
    "matchingCond": "111",
    "productCond": [1,2,3],
    "stateCond": [0,1,2,3,4,5],
    "size": 20,
    "current": 1,
    "orders": [
        {
            "column": "submitTime",
            "asc": true
        }
    ]
}
```

| 字段        | 是否必须 | 字段说明                                              |
| ----------- | -------- | ----------------------------------------------------- |
| creatorCond | 否       | 下拉筛选条件 - 0：所有需求 1：我的需求                      |
| matchingCond| 否       | 模糊匹配 - 编码、主题                                    |
| productCond | 否       | 产线条件                                               |
| stateCond   | 否       | 状态条件                                               |
| size        | 否       | 每页条数                                               |
| current     | 否       | 当前页码                                               |
| orders      | 否       | 排序条件                                               |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "id": "1438483235070820353",
            "valid": 1,
            "creationTime": 1631796103000,
            "creator": "systemId",
            "code": "10002",
            "userName": "111",
            "deptName": "111",
            "productLine": 1,
            "subject": "111",
            "content": "111",
            "billState": 0
        }
    ],
    "count": 1
}
```

| 字段         | 是否必有 | 字段说明                                              |
| ------------ | -------- | ----------------------------------------------------- |
| id           | 是       | 32位UUID                                               |
| code         | 是       | 编码 - 6位流水号                                         |
| userName     | 是       | 用户名                                                  |
| deptName     | 是       | 部门名称                                                |
| productLine  | 是       | 产线-1:业务 2：研发 3：实施                               |
| subject      | 是       | 主题                                                   |
| content      | 否       | 内容                                                   |
| billState    | 是       | 需求状态 - 0:待提交 1:待回复 2:已接受 3:已拒绝 4:待完善 5:论证中 |
| respondent   | 否       | 回复人                                                  |
| reply        | 否       | 回复内容                                                |
| submitTime   | 否       | 提交时间                                                |
| estimateTime | 否       | 预计回复日期                                              |
| answerTime   | 否       | 回复时间                                                |
| creationTime | 是       | 创建时间,格式为yyyyMMddHHmmss                            |
| creator      | 是       | 创建人账号id                                            |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                         |
| modifier     | 否       | 最后更新账号id                                           |
| valid        | 是       | 有效状态,0-无效,1-有效                                    |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年9月16日20:45:09  | 新增  | 新增接口  |

### 32006 查询已提交

#### 接口

`http://localhost:8831/dmp-rwd-version/rwdedit/demand/querySubmitted?groupCode=0&userId=systemId`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "creatorCond": 0,
    "matchingCond": "111",
    "productCond": [1,2,3],
    "stateCond": [0,1,2,3,4,5],
    "size": 20,
    "current": 1,
    "orders": [
        {
            "column": "submitTime",
            "asc": true
        }
    ]
}
```

| 字段        | 是否必须 | 字段说明                                              |
| ----------- | -------- | ----------------------------------------------------- |
| creatorCond | 否       | 下拉筛选条件 - 0：所有需求 1：我的需求                      |
| matchingCond| 否       | 模糊匹配 - 编码、主题                                    |
| productCond | 否       | 产线条件                                               |
| stateCond   | 否       | 状态条件                                               |
| size        | 否       | 每页条数                                               |
| current     | 否       | 当前页码                                               |
| orders      | 否       | 排序条件                                               |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "id": "1438483235070820353",
            "valid": 1,
            "creationTime": 1631796103000,
            "creator": "systemId",
            "code": "10002",
            "userName": "111",
            "deptName": "111",
            "productLine": 1,
            "subject": "111",
            "content": "111",
            "billState": 0
        }
    ],
    "count": 1
}
```

| 字段         | 是否必有 | 字段说明                                              |
| ------------ | -------- | ----------------------------------------------------- |
| id           | 是       | 32位UUID                                               |
| code         | 是       | 编码 - 6位流水号                                         |
| userName     | 是       | 用户名                                                  |
| deptName     | 是       | 部门名称                                                |
| productLine  | 是       | 产线-1:业务 2：研发 3：实施                               |
| subject      | 是       | 主题                                                   |
| content      | 否       | 内容                                                   |
| billState    | 是       | 需求状态 - 0:待提交 1:待回复 2:已接受 3:已拒绝 4:待完善 5:论证中 |
| respondent   | 否       | 回复人                                                  |
| reply        | 否       | 回复内容                                                |
| submitTime   | 否       | 提交时间                                                |
| estimateTime | 否       | 预计回复日期                                              |
| answerTime   | 否       | 回复时间                                                |
| creationTime | 是       | 创建时间,格式为yyyyMMddHHmmss                            |
| creator      | 是       | 创建人账号id                                            |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                         |
| modifier     | 否       | 最后更新账号id                                           |
| valid        | 是       | 有效状态,0-无效,1-有效                                    |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年9月16日20:45:09  | 新增  | 新增接口  |


### 32007 查询待办

#### 接口

`http://localhost:8831/dmp-rwd-version/rwdedit/demand/queryTodo?groupCode=0&userId=systemId`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "creatorCond": 0,
    "matchingCond": "111",
    "productCond": [1,2,3],
    "stateCond": [0,1,2,3,4,5],
    "size": 20,
    "current": 1,
    "orders": [
        {
            "column": "submitTime",
            "asc": true
        }
    ]
}
```

| 字段        | 是否必须 | 字段说明                                              |
| ----------- | -------- | ----------------------------------------------------- |
| creatorCond | 否       | 下拉筛选条件 - 0：所有需求 1：我的需求                      |
| matchingCond| 否       | 模糊匹配 - 编码、主题                                    |
| productCond | 否       | 产线条件                                               |
| stateCond   | 否       | 状态条件                                               |
| size        | 否       | 每页条数                                               |
| current     | 否       | 当前页码                                               |
| orders      | 否       | 排序条件                                               |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "id": "1438483235070820353",
            "valid": 1,
            "creationTime": 1631796103000,
            "creator": "systemId",
            "code": "10002",
            "userName": "111",
            "deptName": "111",
            "productLine": 1,
            "subject": "111",
            "content": "111",
            "billState": 0
        }
    ],
    "count": 1
}
```

| 字段         | 是否必有 | 字段说明                                              |
| ------------ | -------- | ----------------------------------------------------- |
| id           | 是       | 32位UUID                                               |
| code         | 是       | 编码 - 6位流水号                                         |
| userName     | 是       | 用户名                                                  |
| deptName     | 是       | 部门名称                                                |
| productLine  | 是       | 产线-1:业务 2：研发 3：实施                               |
| subject      | 是       | 主题                                                   |
| content      | 否       | 内容                                                   |
| billState    | 是       | 需求状态 - 0:待提交 1:待回复 2:已接受 3:已拒绝 4:待完善 5:论证中 |
| respondent   | 否       | 回复人                                                  |
| reply        | 否       | 回复内容                                                |
| submitTime   | 否       | 提交时间                                                |
| estimateTime | 否       | 预计回复日期                                              |
| answerTime   | 否       | 回复时间                                                |
| creationTime | 是       | 创建时间,格式为yyyyMMddHHmmss                            |
| creator      | 是       | 创建人账号id                                            |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                         |
| modifier     | 否       | 最后更新账号id                                           |
| valid        | 是       | 有效状态,0-无效,1-有效                                    |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年9月16日20:45:09  | 新增  | 新增接口  |


### 32008 查询已办

#### 接口

`http://localhost:8831/dmp-rwd-version/rwdedit/demand/queryDone?groupCode=0&userId=systemId`

#### 请求方式

POST请求

#### RequestHeader

| key          | value            |
| ------------ | ---------------- |
| Content-Type | application/json |

#### RequestParam(URL中的Path参数)

| 字段      | 是否必须 | 字段说明 |
| --------- | -------- | -------- |
| userId    | 是       | 用户id   |
| groupCode | 是       | 集团编码 |
| projectId | 否       | 项目id   |
| appId     | 否       | 应用id   |

#### 参数例子

```
{
    "creatorCond": 0,
    "matchingCond": "111",
    "productCond": [1,2,3],
    "stateCond": [0,1,2,3,4,5],
    "size": 20,
    "current": 1,
    "orders": [
        {
            "column": "submitTime",
            "asc": true
        }
    ]
}
```

| 字段        | 是否必须 | 字段说明                                              |
| ----------- | -------- | ----------------------------------------------------- |
| creatorCond | 否       | 下拉筛选条件 - 0：所有需求 1：我的需求                      |
| matchingCond| 否       | 模糊匹配 - 编码、主题                                    |
| productCond | 否       | 产线条件                                               |
| stateCond   | 否       | 状态条件                                               |
| size        | 否       | 每页条数                                               |
| current     | 否       | 当前页码                                               |
| orders      | 否       | 排序条件                                               |

#### 成功例子

```
{
    "result": "success",
    "data": [
        {
            "id": "1438483235070820353",
            "valid": 1,
            "creationTime": 1631796103000,
            "creator": "systemId",
            "code": "10002",
            "userName": "111",
            "deptName": "111",
            "productLine": 1,
            "subject": "111",
            "content": "111",
            "billState": 0
        }
    ],
    "count": 1
}
```

| 字段         | 是否必有 | 字段说明                                              |
| ------------ | -------- | ----------------------------------------------------- |
| id           | 是       | 32位UUID                                               |
| code         | 是       | 编码 - 6位流水号                                         |
| userName     | 是       | 用户名                                                  |
| deptName     | 是       | 部门名称                                                |
| productLine  | 是       | 产线-1:业务 2：研发 3：实施                               |
| subject      | 是       | 主题                                                   |
| content      | 否       | 内容                                                   |
| billState    | 是       | 需求状态 - 0:待提交 1:待回复 2:已接受 3:已拒绝 4:待完善 5:论证中 |
| respondent   | 否       | 回复人                                                  |
| reply        | 否       | 回复内容                                                |
| submitTime   | 否       | 提交时间                                                |
| estimateTime | 否       | 预计回复日期                                              |
| answerTime   | 否       | 回复时间                                                |
| creationTime | 是       | 创建时间,格式为yyyyMMddHHmmss                            |
| creator      | 是       | 创建人账号id                                            |
| modifiedTime | 否       | 最后更新时间,格式为yyyyMMddHHmmss                         |
| modifier     | 否       | 最后更新账号id                                           |
| valid        | 是       | 有效状态,0-无效,1-有效                                    |

#### 接口修改记录

| 操作时间              | 操作 | 操作内容 |
| --------------------- | ---- | -------- |
| 2021年9月16日20:45:09  | 新增  | 新增接口  |